Linux系统RPM安装MySQL Community Server报错的解决

2023-07-09 318点热度 0人点赞 0条评论

安装MySQL Community Server,选择的是rpm安装的方式,需要先到网站准备好rpm安装包:https://dev.mysql.com/downloads/mysql/

省事一点,可以下载rpm bundle,就是全部的rpm包,或者只下载需要的rpm安装包

如果是bundle包,只一个tar文件,需要把里面的rpm包解压出来

然后使用rpm -ivh mysql*.rpm 方式安装,遇到一个报错:

[root@mgr opt]# rpm -ivh mysql*.rpm
warning: mysql-community-client-8.0.33-1.el8.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID 3a79bd29: NOKEY
error: Failed dependencies:
    pkgconfig(openssl) is needed by mysql-community-devel-8.0.33-1.el8.x86_64
    mariadb-connector-c-config is obsoleted by mysql-community-server-8.0.33-1.el8.x86_64

经过研究,需要安装如下依赖包:

yum install openssl -y

yum install openssl-devel -y

yum remove mariadb-connector-c-config -y

接下来继续安装就可以了

admin

这个人很懒,什么都没留下

文章评论

您需要 登录 之后才可以评论